-- MBUFGCE: Multi-Output Global Clock Buffer with Enable
--          Versal Prime series
-- Xilinx HDL Language Template, version 2022.1

MBUFGCE_inst : MBUFGCE
generic map (
   CE_TYPE => "SYNC",     -- ASYNC, HARDSYNC, SYNC
   IS_CE_INVERTED => '0', -- Programmable inversion on CE
   IS_I_INVERTED => '0',  -- Programmable inversion on I
   MODE => "PERFORMANCE"  -- PERFORMANCE, POWER
)
port map (
   O1 => O1,               -- 1-bit output: Buffer
   O2 => O2,               -- 1-bit output: Buffer
   O3 => O3,               -- 1-bit output: Buffer
   O4 => O4,               -- 1-bit output: Buffer
   CE => CE,               -- 1-bit input: Buffer enable
   CLRB_LEAF => CLRB_LEAF, -- 1-bit input: Active low clear
   I => I                  -- 1-bit input: Buffer
);

-- End of MBUFGCE_inst instantiation
