-- SRLC32E: 32-Bit Shift Register Look-Up Table (LUT)
--          Versal Prime series
-- Xilinx HDL Language Template, version 2022.1

SRLC32E_inst : SRLC32E
generic map (
   INIT => X"00000000",    -- Initial contents of shift register
   IS_CLK_INVERTED => '0'  -- Optional inversion for CLK
)
port map (
   Q => Q,     -- 1-bit output: SRL Data
   Q31 => Q31, -- 1-bit output: SRL Cascade Data
   A => A,     -- 5-bit input: Selects SRL depth
   CE => CE,   -- 1-bit input: Clock enable
   CLK => CLK, -- 1-bit input: Clock
   D => D      -- 1-bit input: SRL Data
);

-- End of SRLC32E_inst instantiation
