// MBUFG_PS: A Multi-Output high-fanout buffer for low-skew distribution of the PS Clock signals
//           Versal Prime series
// Xilinx HDL Language Template, version 2022.1

MBUFG_PS #(
   .MODE("PERFORMANCE")  // PERFORMANCE, POWER
)
MBUFG_PS_inst (
   .O1(O1),               // 1-bit output: Buffer
   .O2(O2),               // 1-bit output: Buffer
   .O3(O3),               // 1-bit output: Buffer
   .O4(O4),               // 1-bit output: Buffer
   .CLRB_LEAF(CLRB_LEAF), // 1-bit input: Active low clear
   .I(I)                  // 1-bit input: Clock buffer input
);

// End of MBUFG_PS_inst instantiation
